Upstream information

CVE-2021-41182 at MITRE

Description

jQuery-UI is the official jQuery user interface library. Prior to version 1.13.0, accepting the value of the `altField` option of the Datepicker widget from untrusted sources may execute untrusted code. The issue is fixed in jQuery UI 1.13.0. Any string value passed to the `altField` option is now treated as a CSS selector. A workaround is to not accept the value of the `altField` option from untrusted sources.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.1 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact Low None
Integrity Impact Low High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1192070 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE OpenStack Cloud 9
  • ardana-barbican >= 9.0+git.1644879908.8a641c1-3.13.1
  • grafana >= 6.7.4-3.26.1
  • openstack-barbican >= 7.0.1~dev24-3.14.1
  • openstack-barbican-api >= 7.0.1~dev24-3.14.1
  • openstack-barbican-keystone-listener >= 7.0.1~dev24-3.14.1
  • openstack-barbican-retry >= 7.0.1~dev24-3.14.1
  • openstack-barbican-worker >= 7.0.1~dev24-3.14.1
  • openstack-cinder >= 13.0.10~dev24-3.34.2
  • openstack-cinder-api >= 13.0.10~dev24-3.34.2
  • openstack-cinder-backup >= 13.0.10~dev24-3.34.2
  • openstack-cinder-scheduler >= 13.0.10~dev24-3.34.2
  • openstack-cinder-volume >= 13.0.10~dev24-3.34.2
  • openstack-heat-gbp >= 14.0.1~dev4-3.9.1
  • openstack-horizon-plugin-gbp-ui >= 14.0.1~dev3-3.9.1
  • openstack-ironic >= 11.1.5~dev18-3.28.2
  • openstack-ironic-api >= 11.1.5~dev18-3.28.2
  • openstack-ironic-conductor >= 11.1.5~dev18-3.28.2
  • openstack-keystone >= 14.2.1~dev9-3.28.2
  • openstack-neutron >= 13.0.8~dev206-3.40.1
  • openstack-neutron-dhcp-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-gbp >= 14.0.1~dev33-3.31.1
  • openstack-neutron-ha-tool >= 13.0.8~dev206-3.40.1
  • openstack-neutron-l3-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-linuxbridge-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-macvtap-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-metadata-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-metering-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-openvswitch-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-server >= 13.0.8~dev206-3.40.1
  • python-Pillow >= 5.2.0-3.17.1
  • python-XStatic-jquery-ui >= 1.13.0.1-4.3.1
  • python-barbican >= 7.0.1~dev24-3.14.1
  • python-cinder >= 13.0.10~dev24-3.34.2
  • python-heat-gbp >= 14.0.1~dev4-3.9.1
  • python-horizon-plugin-gbp-ui >= 14.0.1~dev3-3.9.1
  • python-ironic >= 11.1.5~dev18-3.28.2
  • python-keystone >= 14.2.1~dev9-3.28.2
  • python-lxml >= 4.2.4-3.3.1
  • python-neutron >= 13.0.8~dev206-3.40.1
  • python-neutron-gbp >= 14.0.1~dev33-3.31.1
  • release-notes-suse-openstack-cloud >= 9.20220413-3.30.1
  • venv-openstack-barbican-x86_64 >= 7.0.1~dev24-3.35.2
  • venv-openstack-cinder-x86_64 >= 13.0.10~dev24-3.38.1
  • venv-openstack-designate-x86_64 >= 7.0.2~dev2-3.35.1
  • venv-openstack-glance-x86_64 >= 17.0.1~dev30-3.33.1
  • venv-openstack-heat-x86_64 >= 11.0.4~dev4-3.35.1
  • venv-openstack-horizon-x86_64 >= 14.1.1~dev11-4.39.1
  • venv-openstack-ironic-x86_64 >= 11.1.5~dev18-4.33.1
  • venv-openstack-keystone-x86_64 >= 14.2.1~dev9-3.36.1
  • venv-openstack-magnum-x86_64 >= 7.2.1~dev1-4.35.1
  • venv-openstack-manila-x86_64 >= 7.4.2~dev60-3.41.1
  • venv-openstack-monasca-ceilometer-x86_64 >= 1.8.2~dev3-3.35.1
  • venv-openstack-monasca-x86_64 >= 2.7.1~dev10-3.37.1
  • venv-openstack-neutron-x86_64 >= 13.0.8~dev206-6.39.1
  • venv-openstack-nova-x86_64 >= 18.3.1~dev91-3.39.1
  • venv-openstack-octavia-x86_64 >= 3.2.3~dev7-4.35.1
  • venv-openstack-sahara-x86_64 >= 9.0.2~dev15-3.35.1
  • venv-openstack-swift-x86_64 >= 2.19.2~dev48-2.30.1
Patchnames:
SUSE-OpenStack-Cloud-9-2022-1729
SUSE OpenStack Cloud Crowbar 9
  • grafana >= 6.7.4-3.26.1
  • openstack-barbican >= 7.0.1~dev24-3.14.1
  • openstack-barbican-api >= 7.0.1~dev24-3.14.1
  • openstack-barbican-keystone-listener >= 7.0.1~dev24-3.14.1
  • openstack-barbican-retry >= 7.0.1~dev24-3.14.1
  • openstack-barbican-worker >= 7.0.1~dev24-3.14.1
  • openstack-cinder >= 13.0.10~dev24-3.34.2
  • openstack-cinder-api >= 13.0.10~dev24-3.34.2
  • openstack-cinder-backup >= 13.0.10~dev24-3.34.2
  • openstack-cinder-scheduler >= 13.0.10~dev24-3.34.2
  • openstack-cinder-volume >= 13.0.10~dev24-3.34.2
  • openstack-heat-gbp >= 14.0.1~dev4-3.9.1
  • openstack-horizon-plugin-gbp-ui >= 14.0.1~dev3-3.9.1
  • openstack-ironic >= 11.1.5~dev18-3.28.2
  • openstack-ironic-api >= 11.1.5~dev18-3.28.2
  • openstack-ironic-conductor >= 11.1.5~dev18-3.28.2
  • openstack-keystone >= 14.2.1~dev9-3.28.2
  • openstack-neutron >= 13.0.8~dev206-3.40.1
  • openstack-neutron-dhcp-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-gbp >= 14.0.1~dev33-3.31.1
  • openstack-neutron-ha-tool >= 13.0.8~dev206-3.40.1
  • openstack-neutron-l3-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-linuxbridge-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-macvtap-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-metadata-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-metering-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-openvswitch-agent >= 13.0.8~dev206-3.40.1
  • openstack-neutron-server >= 13.0.8~dev206-3.40.1
  • python-Pillow >= 5.2.0-3.17.1
  • python-XStatic-jquery-ui >= 1.13.0.1-4.3.1
  • python-barbican >= 7.0.1~dev24-3.14.1
  • python-cinder >= 13.0.10~dev24-3.34.2
  • python-heat-gbp >= 14.0.1~dev4-3.9.1
  • python-horizon-plugin-gbp-ui >= 14.0.1~dev3-3.9.1
  • python-ironic >= 11.1.5~dev18-3.28.2
  • python-keystone >= 14.2.1~dev9-3.28.2
  • python-lxml >= 4.2.4-3.3.1
  • python-neutron >= 13.0.8~dev206-3.40.1
  • python-neutron-gbp >= 14.0.1~dev33-3.31.1
  • release-notes-suse-openstack-cloud >= 9.20220413-3.30.1
  • ruby2.1-rubygem-sinatra >= 1.4.6-4.3.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-1729


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 python-XStatic-jquery-ui Affected
SUSE OpenStack Cloud 8 python-XStatic-jquery-ui Affected
SUSE OpenStack Cloud 9 python-XStatic-jquery-ui Released
SUSE OpenStack Cloud Crowbar 8 python-XStatic-jquery-ui Affected
SUSE OpenStack Cloud Crowbar 9 python-XStatic-jquery-ui Released